import {DateFormat} from "$utils/tool/date";

export default {

    constellation:function (day:string) {
        let usePeople = DateFormat.inverse(day,'YYYY-MM-DD');
        usePeople.month = usePeople.month - 1;
        // @ts-ignore
        let constellation =  "魔羯水瓶双鱼牡羊金牛双子巨蟹狮子处女天秤天蝎射手魔羯".substr(usePeople.month*2-(usePeople.date< "102223444433".charAt(usePeople.month-1)- 19)*2,2);
        return  constellation ? constellation+'座': '';
    }

}